| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
arGetTransMat.c File Reference
`#include <ARX/AR/ar.h>`
`#include <ARX/AR/icp.h>`
Include dependency graph for arGetTransMat.c:

## Functions
ARdouble | arGetTransMatSquare (AR3DHandle *handle, ARMarkerInfo *marker_info, ARdouble width, ARdouble conv[3][4])
| (description)
ARdouble | arGetTransMatSquareCont (AR3DHandle *handle, ARMarkerInfo *marker_info, ARdouble initConv[3][4], ARdouble width, ARdouble conv[3][4])
| (description)
ARdouble | arGetTransMat (AR3DHandle *handle, ARdouble initConv[3][4], ARdouble pos2d[][2], ARdouble pos3d[][3], int num, ARdouble conv[3][4])
| (description)
ARdouble | arGetTransMatRobust (AR3DHandle *handle, ARdouble initConv[3][4], ARdouble pos2d[][2], ARdouble pos3d[][3], int num, ARdouble conv[3][4])
| (description)

## Function Documentation

## ◆ arGetTransMat()

ARdouble arGetTransMat | ( | AR3DHandle * | handle,
|  | ARdouble | initConv[3][4],
|  | ARdouble | pos2d[][2],
|  | ARdouble | pos3d[][3],
|  | int | num,
|  | ARdouble | conv[3][4]
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  initConv | (description)
  pos2d | (description)
  pos3d | (description)
  num | (description)
  conv | (description)

Returns
  (description)

Here is the call graph for this function:

## ◆ arGetTransMatRobust()

ARdouble arGetTransMatRobust | ( | AR3DHandle * | handle,
|  | ARdouble | initConv[3][4],
|  | ARdouble | pos2d[][2],
|  | ARdouble | pos3d[][3],
|  | int | num,
|  | ARdouble | conv[3][4]
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  initConv | (description)
  pos2d | (description)
  pos3d | (description)
  num | (description)
  conv | (description)

Returns
  (description)

Here is the call graph for this function:

## ◆ arGetTransMatSquare()

ARdouble arGetTransMatSquare | ( | AR3DHandle * | handle,
|  | ARMarkerInfo * | marker_info,
|  | ARdouble | width,
|  | ARdouble | conv[3][4]
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  marker_info | (description)
  width | (description)
  conv | (description)

Returns
  (description)

Here is the call graph for this function:

## ◆ arGetTransMatSquareCont()

ARdouble arGetTransMatSquareCont | ( | AR3DHandle * | handle,
|  | ARMarkerInfo * | marker_info,
|  | ARdouble | initConv[3][4],
|  | ARdouble | width,
|  | ARdouble | conv[3][4]
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  marker_info | (description)
  initConv | (description)
  width | (description)
  conv | (description)

Returns
  (description)

Here is the call graph for this function: